Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.step
Class PublishStepFacade

    java.lang.Object
      com.pmease.quickbuild.step.PublishStepFacade

All Implemented Interfaces:
  java.io.Serializable

public class PublishStepFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for PublishStep. This step publishes create soft links to artifacts which is outside of QuickBuild, so that these artifacts can be accessed from QuickBuild's web interface.

See Also:
  Serialized Form

Constructor Summary
`PublishStepFacade()`

Method Summary
`java.lang.String` | `getDestDir()` OGNL: Specify destination path for this publishing.
`java.lang.String` | `getFileNamePatterns()` OGNL: Specify file name patterns of desired artifacts, for example: *.zip, \"${build.version}*.zip\", \"${build.version}.
`java.lang.String` | `getName()` Provide a name for this step.
`java.lang.String` | `getSourceDir()` OGNL: Specify absolute path of the source directory where the artifacts you want to publish resides in.
`java.lang.String` | `getStepNecessaryCondition()` OGNL: Determines if this step is necessary during the build process.
`boolean` | `isPublishRecursively()` OGNL: Specify whether or not to publish artifacts recursively.
`void` | `setDestDir(java.lang.String destDir)`
`void` | `setFileNamePatterns(java.lang.String fileNamePatterns)`
`void` | `setName(java.lang.String name)`
`void` | `setPublishRecursively(boolean publishRecursively)`
`void` | `setSourceDir(java.lang.String sourceDir)`
`void` | `setStepNecessaryCondition(java.lang.String stepNecessaryCondition)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublishStepFacade

    public PublishStepFacade()

Method Detail

### getSourceDir

    public java.lang.String getSourceDir()

  OGNL: Specify absolute path of the source directory where the artifacts you want to publish resides in. Inside this directory, for every files matching specified pattern(see below), QuickBuild will publish them into destination directory (a sub folder under current build's QuickBuild-managed artifacts directory, see below), so that these artifacts can be accessed from QuickBuild's web interface.
  NOTE: QuickBuild will never copy artifacts into destination directory. Instead, it just creates soft links to these artifacts so that these artifacts can be tracked back to its real position upon user accessing.

### setSourceDir

    public void setSourceDir(java.lang.String sourceDir)

### getFileNamePatterns

    public java.lang.String getFileNamePatterns()

  OGNL: Specify file name patterns of desired artifacts, for example: *.zip, \"${build.version}*.zip\", \"${build.version}.*\". Multiple patterns can be specified as long as they are seperated by spaces(Of course, a single pattern includes spaces should be quoted). If left empty, all files will be published.

### setFileNamePatterns

    public void setFileNamePatterns(java.lang.String fileNamePatterns)

### isPublishRecursively

    public boolean isPublishRecursively()

  OGNL: Specify whether or not to publish artifacts recursively. If yes, matching artifacts inside source directory will be recursively published, including sub directories. Otherwise, sub directories will not be included.

### setPublishRecursively

    public void setPublishRecursively(boolean publishRecursively)

### getDestDir

    public java.lang.String getDestDir()

  OGNL: Specify destination path for this publishing. It should be a relative path to current build's QuickBuild-managed artifacts directory. So if you specify this property as \".\", destination path will be the artifacts directory itself.

### setDestDir

    public void setDestDir(java.lang.String destDir)

### getStepNecessaryCondition

    public java.lang.String getStepNecessaryCondition()

  OGNL: Determines if this step is necessary during the build process. It is an OGNL expression with current configuration as its root object.

### setStepNecessaryCondition

    public void setStepNecessaryCondition(java.lang.String stepNecessaryCondition)

### getName

    public java.lang.String getName()

  Provide a name for this step.

### setName

    public void setName(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.